#
# spec file for package imgen (Version 1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           imgen
Summary:        Mellanox Firmware Generator
Version:        1.0
Release:        lp152.4.7
License:        GPL-2.0
Group:          System/Console
Source0:        %{name}-%{version}.tar.bz2
Source1:        mic.1
Source2:        t2a.1
Patch0:         imgen-makefile.patch	
Patch1:         imgen-missing_headers.patch
Patch2:         imgen-use_cpp_headers.patch
Patch3:         imgen-string_const_to_charp.patch
Patch4:         imgen-aliasing.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ zlib-devel
BuildRequires:  automake autoconf libtool
BuildRequires:  libexpat-devel

%description
FW Image Generator from FW release for all Mellanox devices (except
Anafa)

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
rm -fr .git

%build
make CFLAGS="%{optflags}"

%install
install -D t2a %{buildroot}%{_bindir}/t2a
install -D mic %{buildroot}%{_bindir}/mic
install -d %{buildroot}%{_mandir}/man1
install -m 644 %{S:1} %{S:2} %{buildroot}%{_mandir}/man1
gzip -9 %{buildroot}%{_mandir}/man1/*.1

%files
%defattr(-, root, root)
%doc COPYING
%_bindir/*
%doc %{_mandir}/man1/t2a.1.gz
%doc %{_mandir}/man1/mic.1.gz

%changelog
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Mon Mar 31 2014 pth@suse.de
- Package COPYING.
* Fri Mar 28 2014 pth@suse.de
- Clean up the spec file.
- License is GPL-2.0
* Fri Jan 24 2014 pth@suse.de
- Update to OFED 3.12 daily
* Mon Jul  2 2012 pth@suse.de
- Use const char * for string constants.
- Use unions for type punning.
- Provide man pages for mic and t2a.
* Fri Jun 29 2012 pth@suse.de
- Use proper C headers for C++.
* Wed Jul  4 2007 - hvogel@suse.de
- add GPL COPYING file to the package [#288783]
* Fri Jun 22 2007 - ro@suse.de
- fix build on sles10
* Wed Jun 20 2007 - hvogel@suse.de
- Initial Package, Version 1.0
